<script lang="ts">
import JHintDirection from './JHintDirection.vue';

export default {
  name: 'JKeyboardNavHint',
  components: {
    JHintDirection,
  },
  props: {
    hidden: {
      type: Boolean,
      default: true,
    },
  },
};
</script>

<template>
  <div
    class="j-keyboard-nav-hint"
    :class="{ hidden }"
  >
    <JHintDirection direction="up" />
    <div class="j-keyboard-nav-hint-bottom">
      <JHintDirection direction="left" />
      <JHintDirection direction="down" />
      <JHintDirection direction="right" />
    </div>
  </div>
</template>

<style lang="scss" scoped>
.j-keyboard-nav-hint {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: max-content;
}

.j-keyboard-nav-hint-bottom {
  display: flex;
}
</style>
